SEMODULE_PACKAGE(8)

NAME
semodule_package - Create a SELinux policy module package.

SYNOPSIS
semodule_package -o <output file> -m <module> [-f <file contexts>]

DESCRIPTION

semodule_package is the tool used to create a SELinux policy module package from a binary policy module and optionally other data such as file contexts. semodule_package packages binary policy modules created by checkmodule. The policy package created by semodule_package can then be installed via semodule.

EXAMPLE
# Build a policy package for a base module.
$ semodule_package -o base.pp -m base.mod -f file_contexts
# Build a policy package for a httpd module.
$ semodule_package -o httpd.pp -m httpd.mod -f httpd.fc
# Build a policy package for local TE rules and no file contexts.
$ semodule_package -o local.pp -m local.mod

OPTIONS

-o --outfile <output file>
    Policy module package file generated by this tool.

-s --seuser <seuser file>
    seuser file to be included in the package.

-u --user_extra <user extra file>
    user_extra file to be included in the package.

-m --module <Module file>
    Policy module file to be included in the package.

-f --fc <File context file>
    File contexts file for the module (optional).

-n --nc <netfilter context file>
    netfilter context file to be included in the package.

SEE ALSO
checkmodule(8), semodule(8), semodule_unpackage(8)

AUTHORS
This manual page was written by Dan Walsh <dwalsh@redhat.com>.
The program was written by Karl MacMillan <kmacmillan@tresys.com>